import java.util.Set;

public interface APMap
{
   // Returns true if this map contains a mapping for the
   // specified key.
   boolean containsKey( Object key );

   // Returns the value to which the specified key is mapped,
   // or null if the map contains no mapping for this key.
   Object get( Object key );

   // Returns a set containing the keys in this map.
   Set keySet();

   // Adds the key-value pair to this map. Returns the previous
   // value associated with specified key, or null if there was
   // no mapping for key.
   Object put( Object key, Object value );

   // Returns the number of key-value pairs in this map.
   int size();
}
